Subject: Re: status messages

From: Nicolas Popp <[email-masked]>
Date: Thu, 25 May 2000 15:52:03 -0700

I share Leslie's worry (too fine a granularity that adds complexity to the
spec & implementation while the benefits remain unknown).

So maybe, we could simplify by grouping the second level codes in the
following manner:

X.0.X: undefined
X.1.X: Query (includes property, and XML errors in the encoded request)
X.2.X: Service (includes server)

In other word, at the second level:
. I would not try to distinguish between Query content versus Query XML
errors.
. I would not try to distinguish between service and servers.

I would make the explicit distinction at the third level code when it is
clear that the distinction matters (and again...)

Based on that, I would only define:

INFO
1.0.0: undefined info
1.1.0: query related info
1.2.0: service related info

LEVEL2 SUCCESS (success)
2.0.0: undefined success
2.1.0: query success

LEVEL3 SUCCESS (partial success)
3.0.0: undefined partial success
3.1.0: query partial success
3.1.1: query with invalid or unsupported properties (name, type or value)
that were ignored
3.1.2: query with some XML problems but service managed...
3.2.0: service failed but managed to return some results

LEVEL4 SUCCESS (persistent transient failure)
4.0.0: undefined persistent transient failure
4.1.0: persistent transient failure due to query
4.2.0: persistent transient failure due to some service problem
4.2.1: server too busy at this time
4.2.2: server in maintenance, try again later

LEVEL5 SUCCESS (permanent failure)
5.0.0: undefined permanent failure
5.1.0: permanent failure due to query
5.2.0: permanent failure due to service problem
5.2.1: This service is no longer available
5.2.2: This server is no longer available, try another server

-Nico

-----Original Message-----
From: Leslie Daigle [mailto:[email-masked]]
Sent: Wednesday, May 24, 2000 7:31 PM
To: [email-masked]
Subject: Re: status messages

Howdy,

Michael Mealling wrote:
> can I et some comments on these? Thanks!
        ^^

Depends how hungry you are ;-)

>    o  4.X.X Persistent Transient Failure

"Persistent Transient"?  It's not quite an oxymoron, but it's
awfully awkward.  What's wrong with Transient Failure?

>       *  The request was valid as sent, but some temporary even
                                                             ^^^^^

"evenT"

>          prevents the successful sending of the results. Sending in the

"the successful completion of the request and/or sending of the
results.  Sending in the"

> B.1 Level 1 (Informative) Codes
>
>    1.0.0 -- Undefined Information
>       This code is used for any non-categorizable and informative
>       message. If, for example, the server wanted to tell the client
>       that the systems administrators cat has blue hair, then this code

"administrator's" -- missed the apostrophe.

>    4.1.1 -- The query was to complex
                            ^^
TOO!

>       The query as specified was to complex for this Service to handle.
                                   ^^

ditTOO!

>    4.3.1 -- The Service was to busy
                              ^^

and:
>       Due to resource constraints, the entire service is to busy to
>     4.4.1 -- The Server was to busy
>       Due to resource contstraints, this particular server was to busy

> B.5 Level 5 (Permanent Failures) Codes
>
>    5.0.0 -- Something undefined caused a permanent failure
>    5.1.0 -- The query permanently failed
>    5.2.0 -- A property caused a permanent failure
>    5.3.0 -- The Service had a permanent failure
>    5.3.1 -- This Service is no longer available.
>       This Service has decided to no longer make itself available.
>    5.4.0 -- The Server had a permanent failure
>    5.4.1 -- This Server is no longer available
>       This Server is no longer part of this Service. Any subsequent
>       requests should be directed at another Server.
>    5.5.0 -- The XML caused a permanent failure

Which of hte above is a good, old-fashioned "syntax error"?!

Overall, the list seems pretty good on reading -- my only concern is
that it may be splitting things down to too fine a level of
granularity, and that only operational experience will tell what's
really needed.

Leslie.

--

-------------------------------------------------------------------
"My body obeys Aristotelian laws of physics."
   -- ThinkingCat

Leslie Daigle
[email-masked]
-------------------------------------------------------------------